> ## Documentation Index
> Fetch the complete documentation index at: https://developer.embedly.ng/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Wallet History by Wallet ID

> The endpoint displays the transaction history for a specific wallet using the walletId over a specified time range.

## Request Param

<ParamField query="walletId" type="string" required>
  Unique identifier for the wallet. **Example:**
  "3fa85f64-5717-4562-b3fc-2c963f66afa6"
</ParamField>

<ParamField query="From" type="string" format="date-time" required>
  Start date and time for the query period. **Example:**
  "2025-03-19T16:18:37.676Z"
</ParamField>

<ParamField query="To" type="string" format="date-time" required>
  End date and time for the query period. **Example:**
  "2025-03-19T16:18:37.676Z"
</ParamField>

<ParamField query="PageNumber" type="integer">
  Page to be returned **Example:** "1"
</ParamField>

<ParamField query="PageSize" type="integer">
  Number of data to be returned within a page **Example:** "10"
</ParamField>

<ResponseExample>
  ```json 200 Success theme={null}
  {
    "code": "00",
    "success": true,
    "message": "Fetched Successfully",
    "data": {
      "walletHistories": [
        {
          "id": "cf931239-6b95-11f0-8d44-4af84d9ff6f1",
          "walletId": "be342aca-4de7-11f0-a6de-7c1e52753c35",
          "productId": "ed67af6f-6895-11f0-8d44-4af84d9ff6f1",
          "remarks": "NIP-",
          "amount": 900,
          "debitCreditIndicator": "D",
          "balance": 40,
          "transactionReference": "EMBa95822675312343a687fe4b41336bbfea",
          "transactionId": "EMBa95822675312343a687fe4b41336bbfea",
          "isActive": true,
          "dateCreated": "2025-07-28T09:32:42",
          "mobileNumber": "09030355073",
          "accountNumber": "9710131061",
          "name": null
        }
      ],
      "totalCount": 1,
      "totalPages": 1,
      "currentPage": 1,
      "pageSize": 50
    }
  }
  ```

  ```json 400 Bad Request theme={null}
  {
  	"code": "400",
  	"success": false,
  	"message": "Bad Request
  	"data": null
  }
  ```

  ```json 404 Not Found theme={null}
  {
    "code": "404",
    "success": false,
    "message": "Wallet not found",
    "data": null
  }
  ```
</ResponseExample>
